
input[type="email"],
input[type="text"],
input[type="search"],
input[type="password"],
input[type="number"],
select {
  border: 2px solid $gray-light;
  height: 40px;
  padding: 0 10px;
  margin-bottom: 0px;
  border-radius: 4px;
  background:#fff;
  //-webkit-appearance: none;
    font-size: 10pt;
    outline:none;
    //font-weight:300;
}

input[type="email"]:focus,
input[type="text"]:focus,
input[type="search"]:focus,
input[type="password"]:focus,
input[type="number"]:focus,
select:focus {
  border: 2px solid $blue-lightest;
  box-shadow:none;
}

input[type="email"]:disabled,
input[type="text"]:disabled,
input[type="search"]:disabled,
input[type="password"]:disabled,
input[type="number"]:disabled,
select:disabled {
  //background:$gray-super-light;
  border-style:dashed;
  color:$gray-dark;
}


.select-input
{
  position:relative;
}

.select-input i
{
  position: absolute;
  font-size: 18px;
  right: 10px;
  top: 11px;
  z-index: 2;
  pointer-events: none;
  transition: all 0.3s ease;
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  cursor: pointer;
  color: $gray;
}

.select-input select {
  -webkit-appearance:none;
  border: 2px solid $gray-light;
  height: 40px;
  font-size: 10pt;

}

textarea
{
  border: 2px solid $gray-light !important;
  width: 100%;
  height: 100px;
  padding:10px 15px;
  background:#fff;
  -webkit-appearance: none;
  margin-bottom: 24px;
  resize:vertical;
  font-size: 10pt !important;
  margin-bottom: 0px;
   //font-weight:600;
}


textarea:focus {
  border: 1px solid $blue-lightest;
  outline:none;
  box-shadow:none;
}

label
{
    font-weight:600;
}

// input[type="checkbox"] {
//     display:none;
// }
// input[type="checkbox"] + label {
//     display: inline-block;
//     position:relative;
//     width: 20px;
//     height: 20px;
//     margin: -3px 4px 0 0;
//     vertical-align: middle;
//     background: $gray-light;
//     cursor: pointer;
//     border-radius: 2px;
//     text-align: center;
// }
// input[type="checkbox"]:checked + label {
//   background:$blue-lightest;
// }
// input[type="checkbox"]:checked + label:before {
//     font-family:fontAwesome;
//     content: "\f00c";
//     color:#fff;
//     position: absolute;
//     text-align:center;
//     font-size: 11pt;
//     width: 100%;
//     height: 100%;
//     margin-left:-10px;


// }


input[type="email"]::-webkit-input-placeholder,
input[type="text"]::-webkit-input-placeholder,
input[type="search"]::-webkit-input-placeholder,
input[type="password"]::-webkit-input-placeholder,
input[type="number"]::-webkit-input-placeholder {
  color: $gray-light;
}

// Switch

.flipswitch {
  position: relative;
  width: 63px;
  -webkit-user-select:none;
  -moz-user-select:none;
  -ms-user-select: none;
}
.flipswitch input[type=checkbox] {
  display: none;
}
.flipswitch-label {
  display: block;
  overflow: hidden;
  cursor: pointer;
  border-radius: 50px;
}
.flipswitch-inner {
  width: 200%;
  margin-left: -100%;
  -webkit-transition: margin 0.3s ease-in 0s;
  -moz-transition: margin 0.3s ease-in 0s;
  -ms-transition: margin 0.3s ease-in 0s;
  -o-transition: margin 0.3s ease-in 0s;
  transition: margin 0.3s ease-in 0s;
}
.flipswitch-inner:before, .flipswitch-inner:after {
  float: left;
  width: 50%;
  height: 27px;
  padding: 0;
  line-height: 27px;
  font-size: 10px;
  color: white;
  font-family: Trebuchet, Arial, sans-serif;
  font-weight: bold;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}
.flipswitch-inner:before {
  content: "YES";
  padding-left: 12px;
  background-color: $green;
  color: #FFFFFF;
}
.flipswitch-inner:after {
  content: "NO";
  padding-right: 12px;
  background-color: $gray-light;
  color: #888888;
  text-align: right;
}
.flipswitch-switch {
  width: 25px;
  height:25px;
  margin: 1px;
  background: #FFFFFF;
  border-radius: 50%;
  position: absolute;
  top: 0;
  bottom: 0;
  right: 36px;
  -webkit-transition: all 0.3s ease-in 0s;
  -moz-transition: all 0.3s ease-in 0s;
  -ms-transition: all 0.3s ease-in 0s;
  -o-transition: all 0.3s ease-in 0s;
  transition: all 0.3s ease-in 0s;
}
.flipswitch-cb:checked + .flipswitch-label .flipswitch-inner {
  margin-left: 0;
}
.flipswitch-cb:checked + .flipswitch-label .flipswitch-switch {
  right: 0;
}